local inpath, outdir = ...
local tfm = require "tfm"
local filename = tfm.ExtractFileName(inpath)
print(table.concat({"Decompiling ", filename, "..."}))
local outpath = ""
if outdir == nil then
	outpath = tfm.ChangeExtension(inpath, "lua")
else
	outpath = tfm.CombinePath({outdir, tfm.ChangeExtension(filename, "lua")})
end
tfm.DecompileLOL(inpath, outpath)
print("...Done!\n")