local inpath, outdir = ...
local tfm = require "tfm"
local filename = tfm.ExtractFileName(inpath)
print(table.concat({"Compiling ", filename, "..."}))
local outpath = ""
if outdir == nil then
	outpath = tfm.ChangeExtension(inpath, "lol")
else
	outpath = tfm.CombinePath({outdir, tfm.ChangeExtension(filename, "lol")})
end
tfm.CompileLOL(inpath, outpath)
print("...Done!\n")